/*
 * Class TABLE_ITERATION_CURSOR [INTEGER_32, INTEGER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_2000 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_2000 [] = {0xFF01,1551,1999,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_2_2000 [] = {0xFF01,1999,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_3_2000 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_2000 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_2000 [] = {0xFF01,1999,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_6_2000 [] = {0xFF01,1999,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_7_2000 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_2000 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_2000 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_2000 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_2000 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_2000 [] = {1999,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_13_2000 [] = {0xFF01,1999,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_14_2000 [] = {0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_15_2000 [] = {0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_16_2000 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_2000 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_2000[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_2000), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_2000), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_2000), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_2000), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_2000), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_2000), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_2000), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_2000), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_2000), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_2000), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_2000), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_2000), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_2000), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_2000), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_2000), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_2000), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_2000), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_2000), -1, 0xFFFFFFFF},
};
void Init2000(void)
{
	IDSC(desc_2000, 0, 1999);
	IDSC(desc_2000 + 1, 1, 1999);
	IDSC(desc_2000 + 32, 1309, 1999);
	IDSC(desc_2000 + 34, 1449, 1999);
}


#ifdef __cplusplus
}
#endif
